package cn.wisenergy.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="ModifyProjectVo", description="项目编辑VO")
public class ModifyProjectVo {

    private Integer projectId;

    private List<Integer> userIds;

    @JsonFormat(shape=JsonFormat.Shape.STRING,pattern = "yyyy-MM-dd")
    private Date startTime;

    private String startTimeReason;

    @JsonFormat(shape=JsonFormat.Shape.STRING,pattern = "yyyy-MM-dd")
    private Date endTime;

    private String endTimeReason;

    private BigDecimal workTime;

    private String workTimeReason;

    private BigDecimal costBudget;

    private String costBudgetReason;
}
